<?php
require ("includes/comunes.php");

require ('xajax/xajax.inc.php');
	$xajax = new xajax();
	//registramos funciones

$xajax->registerFunction("Buscar_Clientes");
	$xajax->registerFunction("Buscar_Servicios");
	$xajax->registerFunction("Buscar_Agentes");
	$xajax->registerFunction("Buscar_Propietarios");
	$xajax->registerFunction("Buscar_Chofers");
	$xajax->registerFunction("Buscar_Comisio");
	$xajax->registerFunction("Buscar_Vehiculo");
	$xajax->registerFunction("Buscar_Contacto");
	$xajax->registerFunction("Buscar_Provee");
	$xajax->registerFunction("Buscar_Coinre");
	include("includes/fns_ajax.php");
	
	$xajax->processRequests();

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\" \"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd\">\n";
	echo "<html  xml:lang=\"es\">\n";
	echo "<head>\n";
	$xajax->printJavascript('xajax/');
	
	
	
	
	/*echo "<script type=\"text/javascript\" src=\"js/external.js\"></script>";*/
	
	

	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"css/estilo.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"css/general.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"css/textos.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"css/enlaces.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"css/formularios.css\" />\n";
	
	
	echo '</head><body>';



if($_GET['tarea']=='contrato'){
	echo '<form id="busca_servicio" name="busca_cliente">
	
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">
	Buscar: <select name="campo">
		<option value="NOMBRE">Nombre</option><option value="NUMERO_cli">Num Contrato</option></select> 
		<input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Servicios(xajax.getFormValues(\'busca_servicio\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_servicios" style="margin:20px;"></div>';
	
	/*
	//$sql="SELECT top 10 * FROM CONTRATOS1  ";
		$sql="SELECT * FROM CONTRATOS1 c inner join clientes1 p on p.NUMERO_cli=c.CLIENTE_CON1  order by p.numero_cli DESC";
		$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
		
		
		echo '<table class="tabla_b">
		<tr>
			<th><b>Contrato</b></th>
			<th><b>Cliente</b></th>
			<th></th>
		</tr>';
		
		while ($row = odbc_fetch_array($result)) {
			
			$cod_cliente = $row['CLIENTE_CON1'];
			//SACAMOS EL NOMBRE DEL CLIENTE
			$sql="select * from clientes1 where numero_cli='$cod_cliente'";			
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row2 = odbc_fetch_array($result2)) {
				
				$nombre_cliente = $row2['NOMBRE'];
				$cod_propie = $row2['PROPIE'];
			}
				
			$fsalida = $row['FSALIDA_CON1'];
			$fretor = $row['FRETOR_CON1'];
			$fecha = $row['FECHA_CON1'];
			
			$cod_contrato = $row['NUMERO'];
			
			
			//SACAMOS EL NOMBRE DEL CHOFER	.
			$cod_chofer = $row['CHOFER_CON1'];				
			$sql="select * from CHOFERES where COD_CHOF='$cod_chofer'";			
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row2 = odbc_fetch_array($result2)) {
				
				$nombre_chofer = $row2['NOM_CHOF'];
			}
			
			//sacamos el vehiculo
			$cod_vehi = $row['VCACT_CON1'];
			$sql="SELECT * FROM vehiculo1 where codiint= '$cod_vehi' ";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row3=odbc_fetch_array($result2)) {
				$marca_vehi = $row3['MARCA'];
				$modelo_vehi = $row3['MODELO'];
				$nombre_vehi = $marca_vehi.' '.$modelo_vehi;
			}
			
			//sacamos el proveedor
			$cod_provee = $row['PROVEEDOR'];
			$sql="SELECT * FROM PROVEE1  where NUM_PROVEE='$cod_provee'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row4=odbc_fetch_array($result2)) {
				$nombre_provee = $row4['NOMBRE'];
				
			}
			
			//sacamos el agente
			$cod_agente = $row['AGENTE'];
			$sql="SELECT * FROM AGENTES  where NUM_AG='$cod_agente'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row5=odbc_fetch_array($result2)) {
				$nombre_agente = $row5['NOMBRE'];
				
			}
			
			
			//sacamos el propietario
			$sql="SELECT * FROM PROPIE  where NUM_PROPIE='$cod_propie'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row6=odbc_fetch_array($result2)) {
				$nombre_propie = $row6['NOMBRE'];
				
			}
			//sacamos el comisionista
			$sql="SELECT * FROM CONTRATOS2  where NUMERO='$cod_contrato'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row7=odbc_fetch_array($result2)) {
				$cod_comisio = $row7['COMISIO_CON2'];
				$sql="SELECT * FROM comisio  where NUM_COMI='$cod_comisio'";
				$result3=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
				while ($row7_2=odbc_fetch_array($result3)) {
					$nombre_comisio = $row7_2['NOMBRE'];
					
				}
			}
				
				
			
			
			//sacamos el contacto
			$cod_contacto = $row['CONTACTO'];
			$sql="SELECT * FROM potenciales  where NUMERO='$cod_contacto'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row8=odbc_fetch_array($result2)) {
				$nombre_contacto = $row8['NOMBRE'];
				
			}
			
			//sacamos el tipo
			$cod_tipo = $row['TIPO'];
			$sql="SELECT * FROM COINRE  where codigo='$cod_tipo'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row9=odbc_fetch_array($result2)) {
				$nombre_tipo = $row9['NOMBRE'];
				
			}
			
			//sacamos la reserva
			$sql="SELECT * FROM CONTRATOS1  where numero='$cod_contrato'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row10=odbc_fetch_array($result2)) {
				$reserva = $row10['RESERVA_CON1'];
				
			}
			//sacamos el presupuesto
			$sql="SELECT * FROM presup1  PRESUP1 where RESERVA_PRE1='$reserva'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row11=odbc_fetch_array($result2)) {
				$presupuesto = $row11['NUMERO_PRE'];
				$cod_contacto = $row11['CONTACTO_PRE1'];				
			}
			
			//sacamos el contacto
			
			$sql="SELECT * FROM potenciales  where NUMERO='$cod_contacto'";
			$result2=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			while ($row8=odbc_fetch_array($result2)) {
				$nombre_contacto = $row8['NOMBRE'];
				
			}
			
			
		
			
			$newContent = 'Cliente '.$cod_cliente.'- '.$nombre_cliente.'<br>
			chofer '.$cod_chofer.' - '.$nombre_chofer.'<br>
			Vehiculo '.$cod_vehi.' '.$marca_vehi.' '.$modelo_vehi.'<br>
			Proveedor '.$cod_provee.' - '.$nombre_provee.'<br>
			Agente '.$cod_agente.' - '.$nombre_agente.'<br>
			Agente '.$cod_propie.' - '.$nombre_propie.'<br>';
			echo '<tr>
			<td>'.$cod_contrato.'</td>
			<td>'.$nombre_cliente.'</td>
			<td><a href="
			javascript:window.opener.document.form_incidencia.cod_contrato.value=\''.$cod_contrato.'\';
			window.opener.document.form_incidencia.cod_cliente.value=\''.$cod_cliente.'\';
			window.opener.document.form_incidencia.nombre_cliente.value=\''.$nombre_cliente.'\';
			window.opener.document.form_incidencia.cod_chofer.value=\''.$cod_chofer.'\';
			window.opener.document.form_incidencia.nombre_chofer.value=\''.$nombre_chofer.'\';
			window.opener.document.form_incidencia.cod_vehi.value=\''.$cod_vehi.'\';
			window.opener.document.form_incidencia.nombre_vehi.value=\''.$nombre_vehi.'\';
			window.opener.document.form_incidencia.cod_provee.value=\''.$cod_provee.'\';
			window.opener.document.form_incidencia.nombre_provee.value=\''.$nombre_provee.'\';
			window.opener.document.form_incidencia.cod_tipo.value=\''.$cod_tipo.'\';
			window.opener.document.form_incidencia.nombre_tipo.value=\''.$nombre_tipo.'\';
			window.opener.document.form_incidencia.cod_agente.value=\''.$cod_agente.'\';
			window.opener.document.form_incidencia.nombre_agente.value=\''.$nombre_agente.'\';
			window.opener.document.form_incidencia.cod_propie.value=\''.$cod_propie.'\';
			window.opener.document.form_incidencia.nombre_propie.value=\''.$nombre_propie.'\';
			window.opener.document.form_incidencia.cod_comisio.value=\''.$cod_comisio.'\';
			window.opener.document.form_incidencia.nombre_comisio.value=\''.$nombre_comisio.'\';
			window.opener.document.form_incidencia.cod_contacto.value=\''.$cod_contacto.'\';
			window.opener.document.form_incidencia.nombre_contacto.value=\''.$nombre_contacto.'\';
			window.opener.document.form_incidencia.fsalida.value=\''.$fsalida.'\';
			window.opener.document.form_incidencia.fretor.value=\''.$fretor.'\';
			window.opener.document.form_incidencia.reserva.value=\''.$reserva.'\';
			window.opener.document.form_incidencia.presupuesto.value=\''.$presupuesto.'\';
			alert(\'Valor copiado\');
			window.close();" >Copiar</a></td>
		</tr>';
			
			
		}
		echo '</table>';
		
		*/
		
		
			
}
	
	


if($_GET['tarea']=='cliente'){
	
	
	
	echo '<form id="busca_cliente" name="busca_cliente">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="NUMERO">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Clientes(xajax.getFormValues(\'busca_cliente\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_cliente" style="margin:20px;"></div>';
	
	/*
$sql="Select * from potenciales WHERE comiclave like '".$_SESSION['comi']."' order by numero DESC ";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['NUMERO'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_cliente.value=\''.$fila['NUMERO'].'\';window.opener.document.form_incidencia.nombre_cliente.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';
*/
}


if($_GET['tarea']=='agente'){
	
	
	echo '<form id="busca_agente" name="busca_agente">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="NUM_AG">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Agentes(xajax.getFormValues(\'busca_agente\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_agente" style="margin:20px;"></div>';
	
	/*
$sql="Select * from agentes order by NUM_AG DESC ";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['NUM_AG'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_agente.value=\''.$fila['NUM_AG'].'\';window.opener.document.form_incidencia.nombre_agente.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';
*/
}


if($_GET['tarea']=='propietario'){
	
	echo '<form id="busca_propietario" name="busca_propietario">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="NUM_PROPIE">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Propietarios(xajax.getFormValues(\'busca_propietario\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_propietario" style="margin:20px;"></div>';
	
	
	/*
$sql="SELECT * FROM PROPIE  order by NUM_PROPIE desc";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['NUM_PROPIE'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_propie.value=\''.$fila['NUM_PROPIE'].'\';window.opener.document.form_incidencia.nombre_propie.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';

*/
}


if($_GET['tarea']=='chofer'){
$sql="select * from CHOFERES order by COD_CHOF desc";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
echo '<form id="busca_chofer" name="busca_chofer">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOM_CHOF">Nombre</option><option value="COD_CHOF">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Chofers(xajax.getFormValues(\'busca_chofer\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_chofer" style="margin:20px;"></div>';
	
	/*
echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['COD_CHOF'].'</td>
		<td>'.$fila['NOM_CHOF'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_chofer.value=\''.$fila['COD_CHOF'].'\';window.opener.document.form_incidencia.nombre_chofer.value=\''.$fila['NOM_CHOF'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';
*/
}


if($_GET['tarea']=='comisio'){
	
	
echo '<form id="busca_comisio" name="busca_comisio">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="NUM_COMI">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Comisio(xajax.getFormValues(\'busca_comisio\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_comisio" style="margin:20px;"></div>';
	
	/*
$sql="select * from comisio order by NUM_COMI desc";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['NUM_COMI'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_comisio.value=\''.$fila['NUM_COMI'].'\';window.opener.document.form_incidencia.nombre_comisio.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';
*/
}


if($_GET['tarea']=='vehi'){
	
	echo '<form id="busca_vehiculo" name="busca_vehiculo">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="MARCA">Marca</option><option value="MODELO">Modelo</option><option value="CODIINT">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Vehiculo(xajax.getFormValues(\'busca_vehiculo\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_vehiculo" style="margin:20px;"></div>';
	
	/*
$sql="select * from vehiculo1 order by CODIINT desc";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	$nombre = $fila['MARCA'].' '.$fila['MODELO'];
	echo '<tr>
		<td>'.$fila['CODIINT'].'</td>
		<td>'.$nombre.'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_vehi.value=\''.$fila['CODIINT'].'\';window.opener.document.form_incidencia.nombre_vehi.value=\''.$nombre.'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';*/
}



if($_GET['tarea']=='contacto'){
	
	echo '<form id="busca_contacto" name="busca_contacto">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="NUMERO">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Contacto(xajax.getFormValues(\'busca_contacto\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_contacto" style="margin:20px;"></div>';
	
	/*
$sql="Select * from potenciales WHERE comiclave like '".$_SESSION['comi']."' order by numero DESC ";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['NUMERO'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_contacto.value=\''.$fila['NUMERO'].'\';window.opener.document.form_incidencia.nombre_contacto.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';

*/
}


if($_GET['tarea']=='provee'){
	
	
	echo '<form id="busca_provee" name="busca_provee">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="NUM_PROVEE">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Provee(xajax.getFormValues(\'busca_provee\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_provee" style="margin:20px;"></div>';
	
	/*
$sql="Select * from PROVEE1  order by NUM_PROVEE DESC ";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['NUM_PROVEE'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_provee.value=\''.$fila['NUM_PROVEE'].'\';window.opener.document.form_incidencia.nombre_provee.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';
*/
}



if($_GET['tarea']=='tipo'){
	
	echo '<form id="busca_coinre" name="busca_coinre">
	<h3 style="text-align:left;margin:20px;border-bottom:1px dashed #ccc;padding-bottom:10px">Buscar: <select name="campo"><option value="NOMBRE">Nombre</option><option value="CODIGO">Código</option></select> <input style="width:275px"type="text" name="cadena" 
	onkeyup="xajax_Buscar_Coinre(xajax.getFormValues(\'busca_coinre\'));"
	 id="cadena"/>  </h3></form>';
	
	echo '<div id="buscar_coinre" style="margin:20px;"></div>';
	
	/*
$sql="Select * from COINRE  order by CODIGO DESC ";

$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<table class="tabla_b">
	<tr>
		<th><b>Código</b></th>
		<th><b>Nombre</b></th>
		<th></th>
	</tr>';
while ($fila = odbc_fetch_array($result)) {
	echo '<tr>
		<td>'.$fila['CODIGO'].'</td>
		<td>'.$fila['NOMBRE'].'</td>
		<td><a href="javascript:window.opener.document.form_incidencia.cod_tipo.value=\''.$fila['CODIGO'].'\';window.opener.document.form_incidencia.nombre_tipo.value=\''.$fila['NOMBRE'].'\';alert(\'Valor copiado\');window.close();" >Copiar</a></td>
	</tr>';
}
echo '</table>';
*/
}


echo '</body>';
//mysql_close();

?>